Skip to main content

TypeAlias.UpsertWalletPolicy

type UpsertWalletPolicy = {
currency: string;
domainAllowList?: string[] | null;
maxAmountPerDayRef?: string | null;
maxAmountPerMonthRef?: string | null;
maxAmountPerPaymentRef?: string | null;
maxAmountPerWeekRef?: string | null;
recipientAllowList?: string[] | null;
requireHumanAboveRef?: string | null;
timezone?: string | null;
volatilityMarginBps?: number | null;
};

Payload of PUT /v1/agent-wallets/:id/policy. Tri-state fields: omitted = keep current value, null = clear, value = set.

Type Declaration

NameType
currencystring
domainAllowList?string[]
maxAmountPerDayRef?string
maxAmountPerMonthRef?string
maxAmountPerPaymentRef?string
maxAmountPerWeekRef?string
recipientAllowList?string[]
requireHumanAboveRef?string
timezone?string
volatilityMarginBps?number